s10_level_hints.levels["Level 3_1"] = function()
	return
	{
		miniscenes
		({
			level03_1_miniscene_box = 
			{
				miniscene("area_box01"),
				miniscene("area_box02")
			},
			
			level03_1_miniscene_notebook = 
			{
				IF(removed("wire"), miniscene("area_notebook"))
			},
			
			level03_1_miniscene_bookcase =
			{	
				miniscene("book_on_bookcase")
			},
			
			level03_1_miniscene_book = 
			{
				miniscene("book_on_table")
			},
		
			level03_1_miniscene_code =
			{
				miniscene("area_decoder01")
			}
		}),
		
		-- включаем ноутбук
		on_scene("level03_1_miniscene_box", take("wire")),
		click("area_notebook", "wire"),
		IF({state("display", "display01"), removed("wire")}, minigame("area_notebook")),
		
		-- находим диск
		minigame("disk_on_bookcase"),
		click("area_notebook", "disk"),
		
		-- отсканнировать свиток
		IF(state("display" , "display03"), click("area_scaner", "sheet")),
		
		-- находим код
		on_scene("level03_1_miniscene_bookcase", take("book")),
		click("area_table", "book"),
		on_scene("level03_1_miniscene_book",
		{
			take("amulet"),
			IF(state("background_mini", "background_mini01"), minigame("area_sheet_mini"))
		}),
		click("area_amulet", "amulet"),
		minigame("area_decoder"),
		IF(state("display", "display05"), minigame("area_notebook"))
	}	
end
